Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.0.0.Beta3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.optaplanner.examples.common.persistence
Class AbstractSolutionImporter

    java.lang.Object
      org.optaplanner.examples.common.app.LoggingMain
          org.optaplanner.examples.common.persistence.AbstractSolutionImporter

Direct Known Subclasses:
  AbstractTxtSolutionImporter, AbstractXmlSolutionImporter

    public abstract class AbstractSolutionImporter

extends LoggingMain

Field Summary
`protected static String` | `DEFAULT_OUTPUT_FILE_SUFFIX`
`protected SolutionDao` | `solutionDao`

Fields inherited from class org.optaplanner.examples.common.app.LoggingMain
`logger`

Constructor Summary
`AbstractSolutionImporter(SolutionDao solutionDao)`

Method Summary
`boolean` | `acceptInputFile(File inputFile)`
`boolean` | `acceptInputFileDuringBulkConvert(File inputFile)` Some files are to big to be serialized to XML or take too long.
`void` | `convertAll()`
`protected File` | `getInputDir()`
`abstract String` | `getInputFileSuffix()`
`protected File` | `getOutputDir()`
`protected String` | `getOutputFileSuffix()`
`abstract Solution` | `readSolution(File inputFile)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_OUTPUT_FILE_SUFFIX

    protected static final String DEFAULT_OUTPUT_FILE_SUFFIX

See Also:
  Constant Field Values

### solutionDao

    protected SolutionDao solutionDao

Constructor Detail

### AbstractSolutionImporter

    public AbstractSolutionImporter(SolutionDao solutionDao)

Method Detail

### getInputDir

    protected File getInputDir()

### getInputFileSuffix

    public abstract String getInputFileSuffix()

### getOutputDir

    protected File getOutputDir()

### getOutputFileSuffix

    protected String getOutputFileSuffix()

### convertAll

    public void convertAll()

### acceptInputFile

    public boolean acceptInputFile(File inputFile)

### acceptInputFileDuringBulkConvert

    public boolean acceptInputFileDuringBulkConvert(File inputFile)

  Some files are to big to be serialized to XML or take too long.

  Parameters:
    `inputFile` - never null
  Returns:
    true if accepted

### readSolution

    public abstract Solution readSolution(File inputFile)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.0.0.Beta3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 JBoss by Red Hat. All Rights Reserved.